Expenses (REST)
Expense reports and categories — read:expenses / write:expenses. Entity-scoped via withTenant.
Expense dashboard aggregates
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
curl -X GET "https://app.axiomatic.software/api/expenses/dashboard?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"error": "string"
}{
"error": "string"
}List expense categories
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
curl -X GET "https://app.axiomatic.software/api/expenses/categories?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"error": "string"
}{
"error": "string"
}Create expense category
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://app.axiomatic.software/api/expenses/categories?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}List expense reports
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
curl -X GET "https://app.axiomatic.software/api/expenses/reports?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"error": "string"
}{
"error": "string"
}Create expense report
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://app.axiomatic.software/api/expenses/reports?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "title": "string" }'{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Get report with lines
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://app.axiomatic.software/api/expenses/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Submit, approve, reject, reimburse, cancel, or edit draft fields
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://app.axiomatic.software/api/expenses/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Delete draft report
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X DELETE "https://app.axiomatic.software/api/expenses/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Add line to draft report
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://app.axiomatic.software/api/expenses/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/lines?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Remove line from draft report
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuiduuidResponse Body
application/json
application/json
application/json
curl -X DELETE "https://app.axiomatic.software/api/expenses/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/lines?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08&lineId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}